%define unmangled_name cheroot

%define mangled_name python3-cheroot
%define version 6.5.4
%define unmangled_version 6.5.4
%define unmangled_version 6.5.4
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: Highly-optimized, pure-python HTTP server
Name: %{mangled_name}
Requires: python3-backports.functools_lru_cache, python3-six >= 1.11.0, python3-more-itertools >= 2.6
BuildRequires: python3-setuptools
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
Patch0: hardcode-version.diff
Patch1: more-itertools-dep-correction.diff
Patch2: require-setuptools.diff
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: CherryPy Team <team@cherrypy.org>
Url: https://cheroot.cherrypy.org

%description
.. image:: https://img.shields.io/pypi/v/cheroot.svg
   :target: https://pypi.org/project/cheroot

.. image:: https://img.shields.io/travis/cherrypy/cheroot/master.svg?label=Linux%20build%20%40%20Travis%20CI
   :target: https://travis-ci.org/cherrypy/cheroot

.. image:: https://circleci.com/gh/cherrypy/cheroot/tree/master.svg?style=svg
   :target: https://circleci.com/gh/cherrypy/cheroot/tree/master

.. image:: https://img.shields.io/appveyor/ci/cherrypy/cheroot/master.svg?label=Windows%20build%20%40%20Appveyor
   :target: https://ci.appveyor.com/project/cherrypy/cheroot/branch/master

.. image:: https://img.shields.io/badge/license-BSD-blue.svg?maxAge=3600
   :target: https://pypi.org/project/cheroot

.. image:: https://img.shields.io/pypi/pyversions/cheroot.svg
   :target: https://pypi.org/project/cheroot

.. image:: https://codecov.io/gh/cherrypy/cheroot/branch/master/graph/badge.svg
   :target: https://codecov.io/gh/cherrypy/cheroot
   :alt: codecov

.. image:: https://readthedocs.org/projects/cheroot/badge/?version=latest
   :target: https://cheroot.cherrypy.org/en/latest/?badge=latest

.. image:: https://img.shields.io/badge/StackOverflow-Cheroot-blue.svg
   :target: https://stackoverflow.com/questions/tagged/cheroot+or+cherrypy

.. image:: https://img.shields.io/gitter/room/cherrypy/cherrypy.svg
   :target: https://gitter.im/cherrypy/cherrypy

.. image:: https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square
   :target: http://makeapullrequest.com/

.. image:: https://app.fossa.io/api/projects/git%2Bgithub.com%2Fcherrypy%2Fcheroot.svg?type=shield
   :target: https://app.fossa.io/projects/git%2Bgithub.com%2Fcherrypy%2Fcheroot?ref=badge_shield
   :alt: FOSSA Status

Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

Status
======

The test suite currently relies on pytest. It's being run via Travis CI.

Contribute Cheroot
==================
**Want to add something to upstream?** Feel free to submit a PR or file an issue
if unsure. Please follow `CherryPy's common contribution guidelines
<https://github.com/cherrypy/cherrypy/blob/master/.github/CONTRIBUTING.rst>`_.
Note that PR is more likely to be accepted if it includes tests and detailed
description helping maintainers to understand it better :tada:

Oh, and be pythonic, please :snake:

**Don't know how?** Check out `How to Contribute to Open Source
<https://opensource.guide/how-to-contribute/>`_ article by GitHub :rocket:


License
=======
.. image:: https://app.fossa.io/api/projects/git%2Bgithub.com%2Fcherrypy%2Fcheroot.svg?type=large
   :target: https://app.fossa.io/projects/git%2Bgithub.com%2Fcherrypy%2Fcheroot?ref=badge_large
   :alt: FOSSA Status


%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}
patch -p0 --binary < %{_sourcedir}/hardcode-version.diff
patch -p0 --binary < %{_sourcedir}/more-itertools-dep-correction.diff
patch -p0 --binary < %{_sourcedir}/require-setuptools.diff

%build
python3 setup.py build

%install
python3 setup.py install  -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
